Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network78.7.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
78.7.0.0
Broadcast address
78.7.31.255
First usable
78.7.0.1
Last usable
78.7.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 4E070000 · Integer 1309081600 to 1309089791
Reverse DNS zones
0.7.78.in-addr.arpa
1.7.78.in-addr.arpa
2.7.78.in-addr.arpa
3.7.78.in-addr.arpa
4.7.78.in-addr.arpa
5.7.78.in-addr.arpa
6.7.78.in-addr.arpa
7.7.78.in-addr.arpa
8.7.78.in-addr.arpa
9.7.78.in-addr.arpa
10.7.78.in-addr.arpa
11.7.78.in-addr.arpa
12.7.78.in-addr.arpa
13.7.78.in-addr.arpa
14.7.78.in-addr.arpa
15.7.78.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001110.00000111.00000000.0000000078.7.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network01001110.00000111.00000000.0000000078.7.0.0
Broadcast01001110.00000111.00011111.1111111178.7.31.255
Split into smaller subnets/29

78.7.0.0/19 makes 1,024 subnets of /29; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
178.7.0.0/2978.7.0.1 to 78.7.0.678.7.0.76
278.7.0.8/2978.7.0.9 to 78.7.0.1478.7.0.156
378.7.0.16/2978.7.0.17 to 78.7.0.2278.7.0.236
478.7.0.24/2978.7.0.25 to 78.7.0.3078.7.0.316
578.7.0.32/2978.7.0.33 to 78.7.0.3878.7.0.396
678.7.0.40/2978.7.0.41 to 78.7.0.4678.7.0.476
778.7.0.48/2978.7.0.49 to 78.7.0.5478.7.0.556
878.7.0.56/2978.7.0.57 to 78.7.0.6278.7.0.636
978.7.0.64/2978.7.0.65 to 78.7.0.7078.7.0.716
1078.7.0.72/2978.7.0.73 to 78.7.0.7878.7.0.796
1178.7.0.80/2978.7.0.81 to 78.7.0.8678.7.0.876
1278.7.0.88/2978.7.0.89 to 78.7.0.9478.7.0.956
1378.7.0.96/2978.7.0.97 to 78.7.0.10278.7.0.1036
1478.7.0.104/2978.7.0.105 to 78.7.0.11078.7.0.1116
1578.7.0.112/2978.7.0.113 to 78.7.0.11878.7.0.1196
1678.7.0.120/2978.7.0.121 to 78.7.0.12678.7.0.1276
1778.7.0.128/2978.7.0.129 to 78.7.0.13478.7.0.1356
1878.7.0.136/2978.7.0.137 to 78.7.0.14278.7.0.1436
1978.7.0.144/2978.7.0.145 to 78.7.0.15078.7.0.1516
2078.7.0.152/2978.7.0.153 to 78.7.0.15878.7.0.1596
2178.7.0.160/2978.7.0.161 to 78.7.0.16678.7.0.1676
2278.7.0.168/2978.7.0.169 to 78.7.0.17478.7.0.1756
2378.7.0.176/2978.7.0.177 to 78.7.0.18278.7.0.1836
2478.7.0.184/2978.7.0.185 to 78.7.0.19078.7.0.1916
2578.7.0.192/2978.7.0.193 to 78.7.0.19878.7.0.1996
2678.7.0.200/2978.7.0.201 to 78.7.0.20678.7.0.2076
2778.7.0.208/2978.7.0.209 to 78.7.0.21478.7.0.2156
2878.7.0.216/2978.7.0.217 to 78.7.0.22278.7.0.2236
2978.7.0.224/2978.7.0.225 to 78.7.0.23078.7.0.2316
3078.7.0.232/2978.7.0.233 to 78.7.0.23878.7.0.2396
3178.7.0.240/2978.7.0.241 to 78.7.0.24678.7.0.2476
3278.7.0.248/2978.7.0.249 to 78.7.0.25478.7.0.2556
3378.7.1.0/2978.7.1.1 to 78.7.1.678.7.1.76
3478.7.1.8/2978.7.1.9 to 78.7.1.1478.7.1.156
3578.7.1.16/2978.7.1.17 to 78.7.1.2278.7.1.236
3678.7.1.24/2978.7.1.25 to 78.7.1.3078.7.1.316
3778.7.1.32/2978.7.1.33 to 78.7.1.3878.7.1.396
3878.7.1.40/2978.7.1.41 to 78.7.1.4678.7.1.476
3978.7.1.48/2978.7.1.49 to 78.7.1.5478.7.1.556
4078.7.1.56/2978.7.1.57 to 78.7.1.6278.7.1.636
4178.7.1.64/2978.7.1.65 to 78.7.1.7078.7.1.716
4278.7.1.72/2978.7.1.73 to 78.7.1.7878.7.1.796
4378.7.1.80/2978.7.1.81 to 78.7.1.8678.7.1.876
4478.7.1.88/2978.7.1.89 to 78.7.1.9478.7.1.956
4578.7.1.96/2978.7.1.97 to 78.7.1.10278.7.1.1036
4678.7.1.104/2978.7.1.105 to 78.7.1.11078.7.1.1116
4778.7.1.112/2978.7.1.113 to 78.7.1.11878.7.1.1196
4878.7.1.120/2978.7.1.121 to 78.7.1.12678.7.1.1276
4978.7.1.128/2978.7.1.129 to 78.7.1.13478.7.1.1356
5078.7.1.136/2978.7.1.137 to 78.7.1.14278.7.1.1436
5178.7.1.144/2978.7.1.145 to 78.7.1.15078.7.1.1516
5278.7.1.152/2978.7.1.153 to 78.7.1.15878.7.1.1596
5378.7.1.160/2978.7.1.161 to 78.7.1.16678.7.1.1676
5478.7.1.168/2978.7.1.169 to 78.7.1.17478.7.1.1756
5578.7.1.176/2978.7.1.177 to 78.7.1.18278.7.1.1836
5678.7.1.184/2978.7.1.185 to 78.7.1.19078.7.1.1916
5778.7.1.192/2978.7.1.193 to 78.7.1.19878.7.1.1996
5878.7.1.200/2978.7.1.201 to 78.7.1.20678.7.1.2076
5978.7.1.208/2978.7.1.209 to 78.7.1.21478.7.1.2156
6078.7.1.216/2978.7.1.217 to 78.7.1.22278.7.1.2236
6178.7.1.224/2978.7.1.225 to 78.7.1.23078.7.1.2316
6278.7.1.232/2978.7.1.233 to 78.7.1.23878.7.1.2396
6378.7.1.240/2978.7.1.241 to 78.7.1.24678.7.1.2476
6478.7.1.248/2978.7.1.249 to 78.7.1.25478.7.1.2556
6578.7.2.0/2978.7.2.1 to 78.7.2.678.7.2.76
6678.7.2.8/2978.7.2.9 to 78.7.2.1478.7.2.156
6778.7.2.16/2978.7.2.17 to 78.7.2.2278.7.2.236
6878.7.2.24/2978.7.2.25 to 78.7.2.3078.7.2.316
6978.7.2.32/2978.7.2.33 to 78.7.2.3878.7.2.396
7078.7.2.40/2978.7.2.41 to 78.7.2.4678.7.2.476
7178.7.2.48/2978.7.2.49 to 78.7.2.5478.7.2.556
7278.7.2.56/2978.7.2.57 to 78.7.2.6278.7.2.636
7378.7.2.64/2978.7.2.65 to 78.7.2.7078.7.2.716
7478.7.2.72/2978.7.2.73 to 78.7.2.7878.7.2.796
7578.7.2.80/2978.7.2.81 to 78.7.2.8678.7.2.876
7678.7.2.88/2978.7.2.89 to 78.7.2.9478.7.2.956
7778.7.2.96/2978.7.2.97 to 78.7.2.10278.7.2.1036
7878.7.2.104/2978.7.2.105 to 78.7.2.11078.7.2.1116
7978.7.2.112/2978.7.2.113 to 78.7.2.11878.7.2.1196
8078.7.2.120/2978.7.2.121 to 78.7.2.12678.7.2.1276
8178.7.2.128/2978.7.2.129 to 78.7.2.13478.7.2.1356
8278.7.2.136/2978.7.2.137 to 78.7.2.14278.7.2.1436
8378.7.2.144/2978.7.2.145 to 78.7.2.15078.7.2.1516
8478.7.2.152/2978.7.2.153 to 78.7.2.15878.7.2.1596
8578.7.2.160/2978.7.2.161 to 78.7.2.16678.7.2.1676
8678.7.2.168/2978.7.2.169 to 78.7.2.17478.7.2.1756
8778.7.2.176/2978.7.2.177 to 78.7.2.18278.7.2.1836
8878.7.2.184/2978.7.2.185 to 78.7.2.19078.7.2.1916
8978.7.2.192/2978.7.2.193 to 78.7.2.19878.7.2.1996
9078.7.2.200/2978.7.2.201 to 78.7.2.20678.7.2.2076
9178.7.2.208/2978.7.2.209 to 78.7.2.21478.7.2.2156
9278.7.2.216/2978.7.2.217 to 78.7.2.22278.7.2.2236
9378.7.2.224/2978.7.2.225 to 78.7.2.23078.7.2.2316
9478.7.2.232/2978.7.2.233 to 78.7.2.23878.7.2.2396
9578.7.2.240/2978.7.2.241 to 78.7.2.24678.7.2.2476
9678.7.2.248/2978.7.2.249 to 78.7.2.25478.7.2.2556
9778.7.3.0/2978.7.3.1 to 78.7.3.678.7.3.76
9878.7.3.8/2978.7.3.9 to 78.7.3.1478.7.3.156
9978.7.3.16/2978.7.3.17 to 78.7.3.2278.7.3.236
10078.7.3.24/2978.7.3.25 to 78.7.3.3078.7.3.316
10178.7.3.32/2978.7.3.33 to 78.7.3.3878.7.3.396
10278.7.3.40/2978.7.3.41 to 78.7.3.4678.7.3.476
10378.7.3.48/2978.7.3.49 to 78.7.3.5478.7.3.556
10478.7.3.56/2978.7.3.57 to 78.7.3.6278.7.3.636
10578.7.3.64/2978.7.3.65 to 78.7.3.7078.7.3.716
10678.7.3.72/2978.7.3.73 to 78.7.3.7878.7.3.796
10778.7.3.80/2978.7.3.81 to 78.7.3.8678.7.3.876
10878.7.3.88/2978.7.3.89 to 78.7.3.9478.7.3.956
10978.7.3.96/2978.7.3.97 to 78.7.3.10278.7.3.1036
11078.7.3.104/2978.7.3.105 to 78.7.3.11078.7.3.1116
11178.7.3.112/2978.7.3.113 to 78.7.3.11878.7.3.1196
11278.7.3.120/2978.7.3.121 to 78.7.3.12678.7.3.1276
11378.7.3.128/2978.7.3.129 to 78.7.3.13478.7.3.1356
11478.7.3.136/2978.7.3.137 to 78.7.3.14278.7.3.1436
11578.7.3.144/2978.7.3.145 to 78.7.3.15078.7.3.1516
11678.7.3.152/2978.7.3.153 to 78.7.3.15878.7.3.1596
11778.7.3.160/2978.7.3.161 to 78.7.3.16678.7.3.1676
11878.7.3.168/2978.7.3.169 to 78.7.3.17478.7.3.1756
11978.7.3.176/2978.7.3.177 to 78.7.3.18278.7.3.1836
12078.7.3.184/2978.7.3.185 to 78.7.3.19078.7.3.1916
12178.7.3.192/2978.7.3.193 to 78.7.3.19878.7.3.1996
12278.7.3.200/2978.7.3.201 to 78.7.3.20678.7.3.2076
12378.7.3.208/2978.7.3.209 to 78.7.3.21478.7.3.2156
12478.7.3.216/2978.7.3.217 to 78.7.3.22278.7.3.2236
12578.7.3.224/2978.7.3.225 to 78.7.3.23078.7.3.2316
12678.7.3.232/2978.7.3.233 to 78.7.3.23878.7.3.2396
12778.7.3.240/2978.7.3.241 to 78.7.3.24678.7.3.2476
12878.7.3.248/2978.7.3.249 to 78.7.3.25478.7.3.2556
12978.7.4.0/2978.7.4.1 to 78.7.4.678.7.4.76
13078.7.4.8/2978.7.4.9 to 78.7.4.1478.7.4.156
13178.7.4.16/2978.7.4.17 to 78.7.4.2278.7.4.236
13278.7.4.24/2978.7.4.25 to 78.7.4.3078.7.4.316
13378.7.4.32/2978.7.4.33 to 78.7.4.3878.7.4.396
13478.7.4.40/2978.7.4.41 to 78.7.4.4678.7.4.476
13578.7.4.48/2978.7.4.49 to 78.7.4.5478.7.4.556
13678.7.4.56/2978.7.4.57 to 78.7.4.6278.7.4.636
13778.7.4.64/2978.7.4.65 to 78.7.4.7078.7.4.716
13878.7.4.72/2978.7.4.73 to 78.7.4.7878.7.4.796
13978.7.4.80/2978.7.4.81 to 78.7.4.8678.7.4.876
14078.7.4.88/2978.7.4.89 to 78.7.4.9478.7.4.956
14178.7.4.96/2978.7.4.97 to 78.7.4.10278.7.4.1036
14278.7.4.104/2978.7.4.105 to 78.7.4.11078.7.4.1116
14378.7.4.112/2978.7.4.113 to 78.7.4.11878.7.4.1196
14478.7.4.120/2978.7.4.121 to 78.7.4.12678.7.4.1276
14578.7.4.128/2978.7.4.129 to 78.7.4.13478.7.4.1356
14678.7.4.136/2978.7.4.137 to 78.7.4.14278.7.4.1436
14778.7.4.144/2978.7.4.145 to 78.7.4.15078.7.4.1516
14878.7.4.152/2978.7.4.153 to 78.7.4.15878.7.4.1596
14978.7.4.160/2978.7.4.161 to 78.7.4.16678.7.4.1676
15078.7.4.168/2978.7.4.169 to 78.7.4.17478.7.4.1756
15178.7.4.176/2978.7.4.177 to 78.7.4.18278.7.4.1836
15278.7.4.184/2978.7.4.185 to 78.7.4.19078.7.4.1916
15378.7.4.192/2978.7.4.193 to 78.7.4.19878.7.4.1996
15478.7.4.200/2978.7.4.201 to 78.7.4.20678.7.4.2076
15578.7.4.208/2978.7.4.209 to 78.7.4.21478.7.4.2156
15678.7.4.216/2978.7.4.217 to 78.7.4.22278.7.4.2236
15778.7.4.224/2978.7.4.225 to 78.7.4.23078.7.4.2316
15878.7.4.232/2978.7.4.233 to 78.7.4.23878.7.4.2396
15978.7.4.240/2978.7.4.241 to 78.7.4.24678.7.4.2476
16078.7.4.248/2978.7.4.249 to 78.7.4.25478.7.4.2556
16178.7.5.0/2978.7.5.1 to 78.7.5.678.7.5.76
16278.7.5.8/2978.7.5.9 to 78.7.5.1478.7.5.156
16378.7.5.16/2978.7.5.17 to 78.7.5.2278.7.5.236
16478.7.5.24/2978.7.5.25 to 78.7.5.3078.7.5.316
16578.7.5.32/2978.7.5.33 to 78.7.5.3878.7.5.396
16678.7.5.40/2978.7.5.41 to 78.7.5.4678.7.5.476
16778.7.5.48/2978.7.5.49 to 78.7.5.5478.7.5.556
16878.7.5.56/2978.7.5.57 to 78.7.5.6278.7.5.636
16978.7.5.64/2978.7.5.65 to 78.7.5.7078.7.5.716
17078.7.5.72/2978.7.5.73 to 78.7.5.7878.7.5.796
17178.7.5.80/2978.7.5.81 to 78.7.5.8678.7.5.876
17278.7.5.88/2978.7.5.89 to 78.7.5.9478.7.5.956
17378.7.5.96/2978.7.5.97 to 78.7.5.10278.7.5.1036
17478.7.5.104/2978.7.5.105 to 78.7.5.11078.7.5.1116
17578.7.5.112/2978.7.5.113 to 78.7.5.11878.7.5.1196
17678.7.5.120/2978.7.5.121 to 78.7.5.12678.7.5.1276
17778.7.5.128/2978.7.5.129 to 78.7.5.13478.7.5.1356
17878.7.5.136/2978.7.5.137 to 78.7.5.14278.7.5.1436
17978.7.5.144/2978.7.5.145 to 78.7.5.15078.7.5.1516
18078.7.5.152/2978.7.5.153 to 78.7.5.15878.7.5.1596
18178.7.5.160/2978.7.5.161 to 78.7.5.16678.7.5.1676
18278.7.5.168/2978.7.5.169 to 78.7.5.17478.7.5.1756
18378.7.5.176/2978.7.5.177 to 78.7.5.18278.7.5.1836
18478.7.5.184/2978.7.5.185 to 78.7.5.19078.7.5.1916
18578.7.5.192/2978.7.5.193 to 78.7.5.19878.7.5.1996
18678.7.5.200/2978.7.5.201 to 78.7.5.20678.7.5.2076
18778.7.5.208/2978.7.5.209 to 78.7.5.21478.7.5.2156
18878.7.5.216/2978.7.5.217 to 78.7.5.22278.7.5.2236
18978.7.5.224/2978.7.5.225 to 78.7.5.23078.7.5.2316
19078.7.5.232/2978.7.5.233 to 78.7.5.23878.7.5.2396
19178.7.5.240/2978.7.5.241 to 78.7.5.24678.7.5.2476
19278.7.5.248/2978.7.5.249 to 78.7.5.25478.7.5.2556
19378.7.6.0/2978.7.6.1 to 78.7.6.678.7.6.76
19478.7.6.8/2978.7.6.9 to 78.7.6.1478.7.6.156
19578.7.6.16/2978.7.6.17 to 78.7.6.2278.7.6.236
19678.7.6.24/2978.7.6.25 to 78.7.6.3078.7.6.316
19778.7.6.32/2978.7.6.33 to 78.7.6.3878.7.6.396
19878.7.6.40/2978.7.6.41 to 78.7.6.4678.7.6.476
19978.7.6.48/2978.7.6.49 to 78.7.6.5478.7.6.556
20078.7.6.56/2978.7.6.57 to 78.7.6.6278.7.6.636
20178.7.6.64/2978.7.6.65 to 78.7.6.7078.7.6.716
20278.7.6.72/2978.7.6.73 to 78.7.6.7878.7.6.796
20378.7.6.80/2978.7.6.81 to 78.7.6.8678.7.6.876
20478.7.6.88/2978.7.6.89 to 78.7.6.9478.7.6.956
20578.7.6.96/2978.7.6.97 to 78.7.6.10278.7.6.1036
20678.7.6.104/2978.7.6.105 to 78.7.6.11078.7.6.1116
20778.7.6.112/2978.7.6.113 to 78.7.6.11878.7.6.1196
20878.7.6.120/2978.7.6.121 to 78.7.6.12678.7.6.1276
20978.7.6.128/2978.7.6.129 to 78.7.6.13478.7.6.1356
21078.7.6.136/2978.7.6.137 to 78.7.6.14278.7.6.1436
21178.7.6.144/2978.7.6.145 to 78.7.6.15078.7.6.1516
21278.7.6.152/2978.7.6.153 to 78.7.6.15878.7.6.1596
21378.7.6.160/2978.7.6.161 to 78.7.6.16678.7.6.1676
21478.7.6.168/2978.7.6.169 to 78.7.6.17478.7.6.1756
21578.7.6.176/2978.7.6.177 to 78.7.6.18278.7.6.1836
21678.7.6.184/2978.7.6.185 to 78.7.6.19078.7.6.1916
21778.7.6.192/2978.7.6.193 to 78.7.6.19878.7.6.1996
21878.7.6.200/2978.7.6.201 to 78.7.6.20678.7.6.2076
21978.7.6.208/2978.7.6.209 to 78.7.6.21478.7.6.2156
22078.7.6.216/2978.7.6.217 to 78.7.6.22278.7.6.2236
22178.7.6.224/2978.7.6.225 to 78.7.6.23078.7.6.2316
22278.7.6.232/2978.7.6.233 to 78.7.6.23878.7.6.2396
22378.7.6.240/2978.7.6.241 to 78.7.6.24678.7.6.2476
22478.7.6.248/2978.7.6.249 to 78.7.6.25478.7.6.2556
22578.7.7.0/2978.7.7.1 to 78.7.7.678.7.7.76
22678.7.7.8/2978.7.7.9 to 78.7.7.1478.7.7.156
22778.7.7.16/2978.7.7.17 to 78.7.7.2278.7.7.236
22878.7.7.24/2978.7.7.25 to 78.7.7.3078.7.7.316
22978.7.7.32/2978.7.7.33 to 78.7.7.3878.7.7.396
23078.7.7.40/2978.7.7.41 to 78.7.7.4678.7.7.476
23178.7.7.48/2978.7.7.49 to 78.7.7.5478.7.7.556
23278.7.7.56/2978.7.7.57 to 78.7.7.6278.7.7.636
23378.7.7.64/2978.7.7.65 to 78.7.7.7078.7.7.716
23478.7.7.72/2978.7.7.73 to 78.7.7.7878.7.7.796
23578.7.7.80/2978.7.7.81 to 78.7.7.8678.7.7.876
23678.7.7.88/2978.7.7.89 to 78.7.7.9478.7.7.956
23778.7.7.96/2978.7.7.97 to 78.7.7.10278.7.7.1036
23878.7.7.104/2978.7.7.105 to 78.7.7.11078.7.7.1116
23978.7.7.112/2978.7.7.113 to 78.7.7.11878.7.7.1196
24078.7.7.120/2978.7.7.121 to 78.7.7.12678.7.7.1276
24178.7.7.128/2978.7.7.129 to 78.7.7.13478.7.7.1356
24278.7.7.136/2978.7.7.137 to 78.7.7.14278.7.7.1436
24378.7.7.144/2978.7.7.145 to 78.7.7.15078.7.7.1516
24478.7.7.152/2978.7.7.153 to 78.7.7.15878.7.7.1596
24578.7.7.160/2978.7.7.161 to 78.7.7.16678.7.7.1676
24678.7.7.168/2978.7.7.169 to 78.7.7.17478.7.7.1756
24778.7.7.176/2978.7.7.177 to 78.7.7.18278.7.7.1836
24878.7.7.184/2978.7.7.185 to 78.7.7.19078.7.7.1916
24978.7.7.192/2978.7.7.193 to 78.7.7.19878.7.7.1996
25078.7.7.200/2978.7.7.201 to 78.7.7.20678.7.7.2076
25178.7.7.208/2978.7.7.209 to 78.7.7.21478.7.7.2156
25278.7.7.216/2978.7.7.217 to 78.7.7.22278.7.7.2236
25378.7.7.224/2978.7.7.225 to 78.7.7.23078.7.7.2316
25478.7.7.232/2978.7.7.233 to 78.7.7.23878.7.7.2396
25578.7.7.240/2978.7.7.241 to 78.7.7.24678.7.7.2476
25678.7.7.248/2978.7.7.249 to 78.7.7.25478.7.7.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses